<template>
  <div class="index main-wrap">
    <navs :isLogin="isLogin" :isIndex="isIndex" @logins="logins" @signs="signIn" :rightText="userName"></navs>
    <tabs :tabArray="subjectList" @clickSelect="clickSelect"></tabs>

    <div class="learn-index">
      <slider :pages="pages" :sliderinit="sliderinit">

      </slider>
    </div>
    <div class="math-wrap" v-for="(item,index) in subjectList" v-if="tabIndex==index">
      <dl class="math-list" v-for="items in chapterList" @click="toChapter(items.chapterId)">
        <dt class="math-tit"><img src="../assets/math.png" alt="" /></dt>

        <dd class="math-para">
          <ul class="math-spe">
            <li class="sperate-lef">
              <h3 class="math-sub-tit">{{items.chapterName}}</h3>
              <div class="math-subject">
                <p>全部（{{items.sumKnowledge}}）</p>
                <p>已学（{{items.sumHaveLearned}}）</p>
              </div>
            </li>
            <li class="sperate-rig">
              <img src="../assets/arrowIcon.png" alt="">
            </li>

          </ul>

          <div class="math-spe-lines">
            <p class="math-cur" :style="{width:getPercent(items.sumKnowledge,items.sumHaveLearned)*100+'%'}"></p>
          </div>

        </dd>

      </dl>

    </div>
    <footed :inWhitch="inWhitch" :user-id="userId"></footed>

  </div>

</template>

<script>
  import navs from '../components/headers.vue';
  import tabs from '../components/tabs.vue';
  import slider from '../components/slider.vue';
  import footed from '../components/footer.vue';
  import M from '../utils/api.js';
export default {
  name: 'index',
  data () {
    return {
      isLogin:false,
      isIndex:true,
      inWhitch:0,
      tabIndex:0,
      userId:this.$route.query["userId"],
      pages:[
        {
          title: '',
          style:{
            background:'url('+require('../assets/banner.png')+')'
          }
        },
        {
          title: '',
          style:{
            background:'url('+require('../assets/banner.png')+')'
          }
        }
      ],


      sliderinit: {
        thresholdDistance: 500,
        thresholdTime: 100,
        autoplay:2000,
        loop:true
      },

      subjectList:[],
      chapterList:[]
    }
  },
  created(){
    this.getSubjectList();
  },
  mounted(){


  },
  methods:{
    logins(){
      this.$router.push("/login")
    },
    signIn(){
        this.$router.push("/register")
    },
    getSubjectList(){
        var vm=this;
        M.getSubjectList(function(data){
            vm.subjectList=data.subjects.map((it,idx)=>{
                it.isOn=idx===0;
                return{
                  isOn:it.isOn,
                  subjectId:it.subjectId,
                  tNames:it.subjectName
                }
              });
            vm.getChapter(0,vm.subjectList[0].subjectId);
        })
    },
    clickSelect(i){
      var vm=this;
      this.subjectList.forEach((it,idx)=>{
        it.isOn=idx==i;
        vm.tabIndex=i;
      })
      vm.getChapter(i,vm.subjectList[i].subjectId);
    },

    getChapter(idx,id){
        let para={
          subjectId:id
        },vm=this;

        M.getChapterList((data)=>{
            vm.chapterList=data.subjects;

        },para)
    },
    getPercent(d,t){
      return parseInt(d)/parseInt(t);
    },
    toChapter(cId){
        this.$router.push({path:"/charpter", query:{chapterId:cId}})
    }
  },
  computed:{
    userName(){
       return this.$route.query.userName || JSON.parse(window.localStorage.userInfo).userName;
    }
  },
  components:{
    navs,
    slider,
    tabs,
    footed
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
    @import "../styles/index.css";
    @import "../styles/base.css";
</style>
